VST 3 SDK: HostAttributeList Exception Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
HostAttributeList Exception Referencefinal
Common Hosting SDK Implementation Helper Classes

Example, ready to use implementation of IAttributeList. More...

`#include <hostclasses.h>`

Inheritance diagram for HostAttributeList:

## Public Member Functions
tresult | setInt (AttrID aid, int64 value) override
tresult | getInt (AttrID aid, int64 &value) override
tresult | setFloat (AttrID aid, double value) override
tresult | getFloat (AttrID aid, double &value) override
tresult | setString (AttrID aid, const TChar *string) override
tresult | getString (AttrID aid, TChar *string, uint32 sizeInBytes) override
tresult | setBinary (AttrID aid, const void *data, uint32 sizeInBytes) override
tresult | getBinary (AttrID aid, const void *&data, uint32 &sizeInBytes) override
virtual | ~HostAttributeList () noexcept

## Static Public Member Functions
static IPtr< IAttributeList > | make ()
| make a new attribute list instance

## Additional Inherited Members
Public Types inherited from IAttributeList
typedef const char * | AttrID
Static Public Attributes inherited from IAttributeList
static const FUID | iid

## Detailed Description

Example, ready to use implementation of IAttributeList.

## Constructor & Destructor Documentation

~HostAttributeList | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

static IPtr<IAttributeList> make | ( |  | ) |
| static

make a new attribute list instance

tresult setInt | ( | AttrID | aid,
|  | int64 | value
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult getInt | ( | AttrID | aid,
|  | int64 & | value
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult setFloat | ( | AttrID | aid,
|  | double | value
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult getFloat | ( | AttrID | aid,
|  | double & | value
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult setString | ( | AttrID | aid,
|  | const TChar * | string
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult getString | ( | AttrID | aid,
|  | TChar * | string,
|  | uint32 | sizeInBytes
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult setBinary | ( | AttrID | aid,
|  | const void * | data,
|  | uint32 | sizeInBytes
| ) |  |
| overridevirtual

Implements IAttributeList.

tresult getBinary | ( | AttrID | aid,
|  | const void *& | data,
|  | uint32 & | sizeInBytes
| ) |  |
| overridevirtual

Implements IAttributeList.

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.